% ----------------------
% calib.m
% ----------------------
% calibrates the model
% ----------------------

% DATA AND CALIBRATION

global A_0 alpha H0

K0      = (Y0-w0*L0)/(r0+delta);
I0      = delta*K0;
alpha   = (r0+delta)*K0/Y0;
A_0      = Y0/(K0^alpha*L0^(1-alpha));
Div0    = Y0-w0*L0-I0;
V0      = (1+r0)*Div0/r0;
H0      = (1+r0)*w0*L0/r0;
Omega0  = 1/(1-(1/(1+rho))^sigma*(1+r0)^(sigma-1));
C0      = (V0+H0)/Omega0;
edy0    = I0+C0-Y0;

fprintf('CHECK CALIBRATION: \t %4.5f\n',edy0);

% TIME SERIES

global Y Div w I V Omega K H C edy r

Y       = zeros(1,tend); Div = Y; w = Y; I = Y; V = Y; Omega = Y;
K       = Y; H = Y; C = Y; edy = Y;
r       = rho*ones(1,tend);

% REPLICATE INTIAL CALIBRATION

t       = 1; fprintf('\nREPLICATE SS: \t\t %4.5f\n', SS);
t       = 2; SS;
t       = 1; fprintf('REPLICATE TE: \t\t %4.5f\n\n', TE(r0));

% TAKE INITIAL STEADY STATE AS GUESS FOR JACOBIAN

guess   = kron([V(t) H(t) Omega(t)],ones(tend,1));
