% ----------------------
% runme.m
% ----------------------
% 'Ramsey_non_log_utility': Chapter 3, Ex.1 and 2
% March 3, 2014 Philip Schuster
% 
% computes the transition of a shock
% in a Ramsey model (non-log-utility)
% ----------------------

clear all;  % clear all variables
clc;        % clear screen

fprintf('RAMSEY MODEL OF CLOSED ECONOMY - TRANSITIONAL DYNAMICS\n\n');

% DATA AND CALIBRATION
global tend findrootmethod

findrootmethod = 1; % use simple Newton-Raphson method (=1)
tend    = 200; % number of periods

param; % loads exogenous parameters
calib; % calibrates the model

% COMPUTE JACOBIAN FOR DYNAMIC SOLUTION
jacob = compjacob(guess);

% COMPUTE INITIAL STEADY STATE
ISS;

% REFORMS
K(t)    = 0.8*K0;
%L0 = 1.1*L0;

% COMPUTE FINAL STEADY STATE
FSS;

% SOLVE FOR TRANSITIONS
%[actual, retcode] = gft(guess,jacob);   % Generalized Fair-Taylor
[actual, retcode] = ft(guess,0.7);         % Original Fair-Taylor
